LC_CHANNEL_RQ(3)

NAME
lc_channel_rq - return lcrq handle for channel

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/net.h>

rq_t *lc_channel_rq(lc_channel_t *chan);

Compile and link with -llibrecast.

DESCRIPTION
The lc_channel_rq function returns the lcrq (RaptorQ) handle for channel chan.

RETURN VALUE
The lc_channel_rq function returns a pointer to the lcrq handle associated with the channel, or NULL if none set.

ERRORS
None.

SEE ALSO
lc_ctx_new(3), lc_ctx_free(3), lc_channel_new(3), lcrq(7)